Klausimai, pažymėti „android-gradle“

„Android“ „Gradle“ papildinys yra standartinė „Android“ sistema. Jis naudojamas kaip pagrindas sukurti „Android“ studijos sistemą.
25
atsakymai

Kas yra „Gradle“ „Android“ studijoje?

„Gradle“ mane šiek tiek painioja, taip pat apie naują „Android“ kūrėją. Ar kas nors gali paaiškinti, kas yra „Android“ studijoje? Kodėl „Gradle“ įtraukta į „Android“ studiją?
gegužės 26 d., 13 val
20
atsakymai

Ar galiu naudoti „Java 8“ „Android“?

Ieškant žiniatinklio nėra aišku, ar „Android“ palaiko „Java“ 8, ar ne. Prieš atsisiųsdamas / pritaikydamas „Java 8“, kas nors gali nukreipti mane į bet kokius „oficialius“ dokumentus, kuriuose teigiama, kad „Java 8“ yra palaikoma ar ne?
nustatytas balandžio 27 d '14, 3:40
5
atsakymai

„Gradle DSL“ metodas nerastas: „runProguard“

Atnaujinęs paskutinį projektą gaunu klaidą. Ne mano kodo problema, bet aš susiduriu su sunkumais. Kaip tai išspręsti? build.gradle čia: taikyti papildinį: „android“ android {compileSdkVersion 21 ...
lapkričio 22 d. '14, 16:44
26
atsakymai

Kaip sukurti pasirašytą apk failą išleidimui naudojant „gradle“?

Noriu, kad mano „Gradle“ sukurtų „apk“ failą su išleidimo išleidimu naudojant „Gradle“. Nesu tikras, ar kodas yra teisingas, ar neturiu parametro, kai atliekate gradą? Šis kodas yra „Gradle“: „Android“ {... signingCon ...
nustatyti 20 rug. '13, 9:53
9
atsakymai

Koks skirtumas tarp compileSdkVersion ir targetSdkVersion?

Pažvelgiau į dokumentaciją, skirtą kurti su „Gradle“, bet aš vis dar nežinau, koks yra skirtumas tarp compileSdkVersion ir targetSdkVersion. Viskas, ką jis sako, yra: CompileSdkVersion ypatybė nurodo kompiliavimo tikslą. Na, koks yra surinkimo tikslas ...
nustatyti 02 lapkričio '14 ne 1:54
18
atsakymai

Kaip rankiniu būdu įjungti išorinį „Aar“ paketą naudojant naują „Gradle Android“ sistemą

Aš eksperimentavau su nauja „Android“ kūrimo sistema ir turėjau šiek tiek problemos. Aš sudariau savo „Aar ActionBarSherlock“ paketą, kurį pavadinau „actionbarsherlock.aar“. Ką aš bandau padaryti, tai iš tikrųjų naudoti šį ...
gegužės 22 d., 13 val
20
atsakymai

„Android Gradle“ įskiepis 0.7.0: „Dublikuoti failai pakuojant APK“

Naudojant „Android Gradle“ 0.7.0 įskiepį su šiuo build.gradle: buildscript {saugyklomis {mavenCentral ()} priklausomybėmis {classpath 'com.android.tools.build:gradle 7.1.7'}} taikyti papildinį: „android“ repos .. .
gruodžio 19 d '13, 7:43
39
atsakymai

Automatiškai priimti visas SDK licencijas

Kadangi „Android“ 2.2-alpha4 „gradle“ papildiniai: „Gradle“ bandys atsisiųsti trūkstamus SDK, kurie priklauso nuo to, kas yra nuostabiai kietas ir žinomas kaip „JakeWharton“ projektas. Tačiau norint atsisiųsti SDK biblioteką, turite: priimti licenciją ...
birželio 29 d. 16 val
4
atsakymai

Ar galima deklaruoti kintamąjį „Gradle“, tinkantį naudoti „Java“?

Ar galima deklaruoti kintamąjį „Gradle“, tinkantį naudoti „Java“? Iš esmės, norėčiau paskelbti kai kuriuos „build.gradle“ variantus, o po to jį gauti (akivaizdu) statymo metu. Kaip ir išankstinio apdorojimo makrokomandos C / C ++ ... Pastaba ...
birželio 19 d., 13 val
21
atsakymas

„HttpClient“ nebus importuojama į „Android“ studiją

Turiu paprastą klasę, parašytą „Android“ studijoje: paketą com.mysite.myapp; importuoti org.apache.http.client.HttpClient; viešoji klasė Nepriklausomai nuo {public void headBangingAgainstTheWallExample () {HttpClient client = naujas DefaultHttpCl ...
rugpjūčio 22 d. '15, 9:56
15
atsakymai

„Android Gradle Apache HttpClient“ neegzistuoja?

Bandau konvertuoti „IntelliJ“ projektą į „Gradle“ „Android“ studiją, tačiau ar „Apache HttpClient“ susiduriu su klaidomis? Aš praleidau kažką, klaidos, kurias gaunu, yra šios: Klaida: (10, 30) klaida: paketas org.apache.http.client neegzistuoja Er ...
yra nustatytas liepos 15 d. 15 val
19
atsakymai
25
atsakymai

Nepavyko sujungti manifesto: use-sdk: minSdkVersion 14

Atsisiųsdami naujausią SDK ir įdiegus „Android“ studiją, mano projektas negali būti sukurtas. Gavau tokį pranešimą: Klaida: „Gradle“: vykdymas nepavyko užduočiai: „SampleProject: processProdDebugManifest“. > Manifest susijungimas nepavyko: naudoja-sdk: ...
birželio 26 d. 14 val
28
atsakymai

"Gradle reikia versijos 2.10." klaida

Kaip aš naudoju classpath 'com.android.tools.build:gradle:+' failą build.gradle faile gavau šią klaidą, nes buvo išleista 2.10 gradle versija. Klaida: Įspėjimas: reikalinga 2.10 versija. Dabartinė versija yra 2.8. Jei naudojate ...
15 Jan '16, 18:24
27
atsakymai

Kaip įdiegti „gradle“ namus importuojant esamą projektą „Android“ studijoje

Kaip įdiegti „gradle“ namus importuojant esamą projektą „Android“ studijoje. Bandant importuoti, turiu konfigūruoti šį kelią.
nustatyti 08 vas '14, 15:57